Skip to header Skip to main navigation Skip to main content Skip to footer

Technology Services

The VCU Technology Services Blog

Google announced today that they are dropping web application support for older browsers beginning on August 1, 2011. The affected browsers are Firefox 3.5, Internet Explorer 7, and Safari 3. Google says that they need to do this in order to support new, HTML5-based, features for Gmail, Google Docs and other products. Google also laid out plans that moving forward, they will support the latest version along the prior version of the browsers. This means that on August 1st the following browsers will be supported (Given that these are the latest major version at that time):

  • Google Chrome
  • Internet Explorer 8 & 9
  • Firefox 3.6 & 4
  • Safari 4 & 5

No word was given about support for Opera or other browser products. Please contact the VCU helpIT Center (828-2227, helpIT@vcu.edu) with any questions.

Categories Software

Leave a Reply Cancel reply

Your email address will not be published. Required fields are marked *

View graphic versionView graphic version